﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace BaseApplicationProject
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

		Thumb selectionEndThumb;
		Thumb selectionStartThumb;

		private void xSlider_Loaded(object sender, RoutedEventArgs e)
		{
			var slider = sender as RadSlider;
			var thumbs = slider.ChildrenOfType<Thumb>();
			if (thumbs != null)
			{
				selectionStartThumb = thumbs.FirstOrDefault(x => x.Name == "RangeStartThumb");
				selectionEndThumb = thumbs.FirstOrDefault(x => x.Name == "RangeEndThumb");
				if (selectionEndThumb != null && selectionStartThumb != null)
				{
					selectionStartThumb.DragDelta += selectionStartThumb_DragDelta;
					selectionEndThumb.DragDelta += selectionEndThumb_DragDelta;
				}
			}
		}

		void selectionEndThumb_DragDelta(object sender, DragDeltaEventArgs e)
		{
			if (selectionEndThumb.IsDragging)
			{
				DragDeltaEventArgs dragEventArgs = new DragDeltaEventArgs(e.HorizontalChange, e.VerticalChange);
				selectionStartThumb.RaiseEvent(dragEventArgs);
			}
		}

		void selectionStartThumb_DragDelta(object sender, DragDeltaEventArgs e)
		{
			if (selectionStartThumb.IsDragging)
			{
				DragDeltaEventArgs dragEventArgs = new DragDeltaEventArgs(e.HorizontalChange, e.VerticalChange);
				selectionEndThumb.RaiseEvent(dragEventArgs);
			}
		}
    }
}
